Preview the compact business knowledge a receptionist version would receive
GET
/v1/agents/{agent_id}/receptionist-intelligence/preview
const url = 'https://api.vocapable.com/v1/agents/example/receptionist-intelligence/preview';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/agents/example/receptionist-intelligence/preview \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”agent_id
required
Agent Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ReceptionistIntelligencePreview
A customer-visible render of exactly the compact knowledge that can be published.
object
compiled_knowledge
required
Compiled Knowledge
string
compiled_character_count
required
Compiled Character Count
integer
compiled_token_count
required
Compiled Token Count
integer
location_token_counts
Location Token Counts
object
source_ids
Source Ids
Array<string>
Examplegenerated
{ "compiled_knowledge": "example", "compiled_character_count": 1, "compiled_token_count": 1, "location_token_counts": {}, "source_ids": [ "example" ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}